Skip to main content
GET
/
campaigns
List Campaigns
curl --request GET \
  --url https://api.example.com/campaigns \
  --header 'Authorization: Bearer <token>'
[
  {
    "campaign_id": "<string>",
    "agent_id": "<string>",
    "name": "<string>",
    "total_targets": 123,
    "status": "<string>",
    "scheduled_at": "<string>",
    "started_at": "<string>",
    "calls_initiated": 123,
    "calls_completed": 123,
    "calls_failed": 123
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:100
offset
integer
default:0
status_filter
string | null

Response

Successful Response

campaign_id
string
required
agent_id
string
required
name
string
required
total_targets
integer
required
status
string
required
scheduled_at
string | null
required
started_at
string | null
required
calls_initiated
integer
required
calls_completed
integer
required
calls_failed
integer
required